# 高频提问

## 可以用残局来提升实战能力吗

普通残局与实战不同。
「历来一般的残局都是就残局而言残局，又称之为「排局」。
意指系由人们随意安排而制成的残局，并非双方临局走出来的现场局面。」
练残局，则提升残局能力；
练实战，则提升实战能力。
不应把残局与实战过度挂钩。
若为定式残局，则可提升实战能力。
例如，将「三眼怪」后展基式制为残局，加以练，则实战亦强。

## 何谓二解

「二解」指比原残局作者所定血量高的解残局之法。
例如，原血 100 ，而你打了 200 ，则 200 之法为二解。
普况下，残局所设血量是目前最优解的解局血量。
例如，残局所设血量为 100 ，那你就不能打出 200 了。
若现二解，则残局所设血量需改了。
例如，原血 100 ，而你打了 200 ，则应把 100 改为 200 。
一些残局作者为「减血量对玩家的压迫感」或「诱玩家解局」或求血量好看，会降残局血量。
例如， QB 在多局中用「伤害瘦身」。
在这类之设下，残局会自然而然有大量二解。
例如，原血 100 ，而你可以打 150 ，或 200 ，或 300 等。
「伤害瘦身」是把血量减半，而 100 减半就成 50 了，于是 QB 的加了「伤害瘦身」的局在血量上会有尾之 50 ，但他嫌 50 不好看，便抹去了。
他的行是主动用次优解甚至更次解去换最优解的血量，在客观上让局与实战更相似了。
例如，原血 100 ，但改成了 50 。
实战是求不全知博弈下的最优解，而残局则是求全知博弈下的最优解。
例如，实战中，我不知对方卡组中有何卡，卡按何序所排，但在残局中，我全知此况。
残局血量降后，所打血量与实战最优解相似。
实战难以复制，而残局可以复制。
例如，我打了一「实战」后，后面就打不出这「实战」了，我打了一「残局」后，后面仍可打出这「残局」。
残局可以复制，故残局最优解是可求的，而若残局作者把血定低了，则更优解难出。
例如，一局的最优解是 1000 血，而作者设了 500 ，我若打了 600 ，虽超出作者所设，但作者不改血，则我在 600 止步，于是我与作者两人皆不知该局可打 1000 血。
实战能让玩家十死无生，而残局即使再难，他也有解，会给玩家留九死一生之望。
持望的残局玩家，将在残局做淋漓尽致的反击。
此即「长风破浪会有时，直挂云帆济沧海」。
在这一过程中，将有诸多古怪思路涌现，很有可能会出现二解。

## 残局难度怎样

制局者，欲难可极难，欲易可极易。
但观玩局者之普怨，大都言难。
但局分难易，寻「易局」而解则易，寻「难局」而解则难。

## 残局的对方有几种

对方有三种。

1. 卡少
1. 卡多但呆
1. 卡多且有互动

卡多但呆，例如对方后场五张「光之护封剑」，或对方后场五张「魔法筒」。

## 残局有几种规则

目前残局有三种规则，一则是「大师3」，一则是「新大师」，一则是「大师2020」。
「大师3」的参数是3，「新大师」的参数是4，「大师2020」的参数是5。
从「新大师」时始引入「连接怪兽」，并限灵摆之力。
若残局中有卡可能涉到「连接怪兽」，则最低的则之参数将为4。
在「新大师」中，「额外卡组的怪兽」只能在「连接怪兽的箭头指向处」或者额外怪兽区出场。
「新大师」是 3 则中最严格的则，一些残局会特意将则设为新大师，以求在不增卡数的前提下提难度。
相比于「新大师」，「大师 2020 」废了「新大师」对「额外卡组怪兽」的过度之限，但仍留对灵摆的限。
注意，只有从额外卡组出场的怪兽才能进到额外怪兽区。
大师 2020 大部兼容大师 3，但不一定要用大师 2020 替大师 3。
一些大师 3 残局需用大师 3 的优质灵摆位或 5 怪兽格子的挤格子战术，故不适宜用大师 2020，因此它们应停在大师 3 。
